<div class="agenda-header">
  <div class="d-flex">
    <div class="pps-header" style="cursor: pointer;" (click)="backToDashboardPage()">
      <a class="style-font">
        <i style="font-size: 20px;cursor: pointer" class="fa fa-chevron-left"></i>
        การพิจารณาบรรจุเป็นวาระเสนอคณะกรรมการผลิตภัณฑ์</a>
    </div>

    <button type="button" class="btn rectangle-save" (click)='SaveData()' [disabled]="canEdit">
      บันทึก
    </button>
    <button type="button" class="btn rectangle-send" (click)='checkmodelForward()' style="margin-left: 6px;"
      [disabled]="canEdit">
      ส่งงาน
    </button>

  </div>
  <p class="header-th style-font">
    บันทึกข้อมูลวาระการประชุมเพื่อพิจารณาเป็นวาระเสนอกรรมการผลิตภัณฑ์</p>
</div>
<div class="card border-light mb-3 agenda-body">
  <div class="card-body">
    <div class="select-type">
      <p class='th-select'>กรุณาเลือกประเภทวาระเสนอกรรมการผลิตภัณฑ์</p>
      <mat-radio-group class="stacked-group" [(ngModel)]="selectedData" [disabled]="canEdit"
        (ngModelChange)="changeSaveDraft()">
        <mat-radio-button value="วาระสืบเนื่องจากครั้งก่อน" style="margin-right: 80px;">
          <div class="style-text"
            [ngClass]="{'checkbox-detail-true': selectedData === 'วาระสืบเนื่องจากครั้งก่อน','checkbox-detail-false': selectedData !== 'วาระสืบเนื่องจากครั้งก่อน' }">
            วาระสืบเนื่องจากครั้งก่อน
          </div>
        </mat-radio-button>
        <mat-radio-button value="บรรจุเป็นวาระปกติ" style="margin-right: 80px;">
          <div class="style-text"
            [ngClass]="{'checkbox-detail-true': selectedData === 'บรรจุเป็นวาระปกติ','checkbox-detail-false': selectedData !== 'บรรจุเป็นวาระปกติ'}">
            บรรจุเป็นวาระปกติ</div>
        </mat-radio-button>
        <mat-radio-button value="บรรจุเป็นวาระเพิ่มเติม">
          <div class="style-text"
            [ngClass]="{'checkbox-detail-true': selectedData === 'บรรจุเป็นวาระเพิ่มเติม','checkbox-detail-false': selectedData !== 'บรรจุเป็นวาระเพิ่มเติม'}">
            บรรจุเป็นวาระเพิ่มเติม</div>
        </mat-radio-button>
      </mat-radio-group>
      <div class="body-detail">
        <span class="style-text">รายละเอียดการประชุม :</span>
        <div style="width: 746px; height: 92px; margin-top: 30px;">
          <span class="style-text">วันและเวลาที่ประชุม</span>
          <select class="browser-default custom-select"
            style="width: 530px; height: 40px; margin-left: 43px;font-size: 18px;font-family: Prompt"
            [(ngModel)]="processtest" [disabled]="selectedData === 'ส่งคืน' || canEdit"
            (ngModelChange)="changeSaveDraft()">
            <option [value]="item.id" *ngFor="let item of processdropdown" [disabled]="item.isDropdown === false">{{
              item.dropdownMeetting}}
            </option>
          </select>
        </div>
        <mat-radio-group [(ngModel)]="selectedData" [disabled]="canEdit" (ngModelChange)="changeSaveDraft()">
          <mat-radio-button value="ส่งคืน">
            <div class="style-text"
              [ngClass]="{'checkbox-detail-true': selectedData === 'ส่งคืน','checkbox-detail-false': selectedData !== 'ส่งคืน'}">
              ส่งคืน</div>
          </mat-radio-button>
        </mat-radio-group>
        <textarea class="text-detail form-control" id="textdetail" placeholder="ระบุรายละเอียดเพิ่มเติม" rows="3"
          style="margin-top: 12px;font-size: 18px;font-family: Prompt" [(ngModel)]='textdetail' [disabled]="canEdit"
          (ngModelChange)="changeSaveDraft()"></textarea>
      </div>

    </div>
  </div>
</div>

<!-- Modal -->
<div class="modal fade" id="confirmModal" tabindex="-1" role="dialog" aria-labelledby="confirmModal" aria-hidden="true">
  <div class="modal-dialog modal-dialog-centered" role="document">
    <div class="modal-content">
      <div class="modal-header justify-content-center">
        <h5 class="modal-title text-center" id="confirmModalLable">
          <img src="./assets/img/checkmark-s.png" alt=""> ยืนยันการส่งงาน
        </h5>
      </div>
      <div class="modal-body text-center">
        <label class="save-modal text-center">คุณแน่ใจหรือไม่? ว่าต้องการส่งงาน<br>
          การพิจารณาบรรจุเป็นวาระเสนอคณะกรรมการผลิตภัณฑ์
        </label>
      </div>
      <div class="modal-footer">
        <button mat-flat-button type="button" class="btn btn-back-edit" data-dismiss="modal">
          ยกเลิก
        </button>
        <button mat-flat-button type="button" class="btn btn-confirm" (click)="ForwardData()">
          ยืนยันการส่งงาน
        </button>

      </div>
    </div>
    <!-- <div class="modal-content" *ngIf="confirmState === 'success'">
      <img src="/assets/img/checkmark_green.png" class="checkmark-success" alt="">
      <div class="massage-success">คุณได้ส่งงานแล้วเรียบร้อย</div>
    </div> -->
  </div>
</div>

<!-- Success Modal -->
<div class="modal fade" id="successModal" tabindex="-1" role="dialog" aria-labelledby="successModal" aria-hidden="true">
  <div class="modal-dialog modal-dialog-centered" role="document">
    <div class="modal-content">
      <img src="/assets/img/checkmark_green.png" class="checkmark-success" alt="">
      <div class="massage-success">คุณได้ส่งงานแล้วเรียบร้อย</div>
    </div>
  </div>
</div>